%define ver_major 1.0

Name: gucharmap
Version: %ver_major.0
Release: alt0.5

Summary: gucharmap is a featureful unicode character map
License: GPL
Group: Text tools

Source: ftp://ftp.gnome.org/pub/gnome/sources/%name/%ver_major/%name-%version.tar.bz2
# don't call gtk-query-immodules
Patch: %name-0.8.0-alt-makefile.patch

%define gtk_ver 2.2.4
%define gtk_binary_ver 2.2.0
%define libgnome_ver 2.4.0
%define libgnomeui_ver 2.4.0
%define gnome_common_ver 2.3.0

Requires: lib%name = %version-%release

BuildPreReq: libgtk2-devel >= %gtk_ver
BuildPreReq: libgnomeui-devel >= %libgnomeui_ver
BuildPreReq: libgnome-devel >= %libgnome_ver
BuildPreReq: gnome-common >= %gnome_common_ver

# Automatically added by buildreq on Tue Sep 09 2003
BuildRequires: ORBit2-devel XFree86-devel XFree86-libs esound-devel fontconfig freetype2 gcc-c++ gcc-g77 glib2-devel gnome-vfs2-devel libGConf2-devel libORBit2 libalsa-devel libart_lgpl-devel libatk-devel libaudiofile-devel libbonobo2-devel libbonoboui-devel libexpat libgnome-devel libgnomecanvas-devel libgnomeui-devel libgtk+2-devel libjpeg-devel libpango-devel libpopt-devel libssl-devel libstdc++-devel libxml2-devel pkgconfig zlib-devel

%description
This package provides a featureful unicode character map for GNOME2.

%package -n lib%name
Summary: Shared library needed to run %name
Group: System/Libraries
License: LGPL
PreReq: libgtk+2 >= %gtk_ver
Requires: libgnome >= %libgnome_ver
Requires: libgnomeui >= %libgnomeui_ver

%description -n lib%name
This package provides shared library needed to run %name

%package -n lib%name-devel
Summary: Development files for lib%name
License: LGPL
Group: Development/C
Requires: lib%name = %version-%release
Requires: libgtk2-devel >= %gtk_ver
Requires: libgnomeui-devel >= %libgnomeui_ver
Requires: libgnome-devel >= %libgnome_ver

%description -n lib%name-devel
This package contains headers and libraries needed to compile
applications against lib%name

%prep
%setup -q
%patch -p1

# move input module in right place
%__subst 's,\(^moduledir = \).*$,\1\$(libdir)/gtk-2.0/%gtk_binary_ver/immodules,' %name/Makefile.am

%build
%__rm -f missing
%__libtoolize --copy --force
%__aclocal -I %_datadir/aclocal/gnome2-macros
%__autoheader
%__automake -a -c -f
%__autoconf

%configure --disable-static
%make_build

%install
%makeinstall

# menu
%__mkdir_p %buildroot%_menudir
gnomedesktop2mdkmenu.pl %name "Applications/%group" \
    %buildroot%_datadir/applications/%name.desktop \
    %buildroot%_menudir/%name

%find_lang --with-gnome %name

%post
%update_menus

%postun
%clean_menus

%post -n lib%name
%post_ldconfig
%_bindir/gtk-query-immodules-2.0 > %_sysconfdir/gtk-2.0/gtk.immodules

%postun -n lib%name -p %postun_ldconfig

%files -f %name.lang
%_bindir/*
%_datadir/applications/*
%_datadir/pixmaps/*
%_menudir/*
%doc ChangeLog README TODO

%files -n lib%name
%_libdir/*.so.*
%_libdir/gtk-2.0/%gtk_binary_ver/immodules/*.so

%files -n lib%name-devel
%_includedir/*
%_libdir/*.so
%_libdir/*.la
%_libdir/gtk-2.0/%gtk_binary_ver/immodules/*.la
%_libdir/pkgconfig/*

%changelog
* Tue Sep 09 2003 Yuri N. Sedunov <aris@altlinux.ru> 1.0.0-alt0.5
- 1.0.0

* Fri Aug 22 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.9.0-alt0.5
- 0.9.0

* Wed Jun 11 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.8.0-alt0.5
- 0.8.0

* Sun May 18 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.6.0-alt0.5
- First build for Sisyphus.

